String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	SM("L");
}
//
function flEliminar(){
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(confirm("Esta seguro que desea eliminar?")){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		SM("E");
	}
}
//
function flAnular(){
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(confirm("Esta seguro que desea anular?")){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		//
		var d=AX("COBROZ_ANULAR",id);		
		var r=d.split("|");		
		if(r[1]=="OK"){
			SM("A");
		}else{
			if(r[1]=="MS"){
				alert(r[2]);
			}else{
				alert("Error de conexion");
			}
		}
	}
}
//
function CalSaldo(){
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var SAL=TOT -( ACU + Tot);
	SAL=SAL.toFixed(2);
	document.getElementById("TxtSal").value=SAL;
}
//
function snNum(O,e,Sig){	
	var k;
	var v;
	v=trimm(O.value);
	k=(document.all) ? e.keyCode :e.which;
	if((k>=48 && k<=57) || k==8 || (k>=96 && k<=105) || 
		k==37 || k==39 || k==46 || k==36 || k==35 || k==9){
		return true;
	}else{
		if(k==13){
			//
			document.getElementById("iFrmVen").src="about:blank";
			//
			sv("TxtTve","");
			sv("TxtAcu","");
			sv("TxtTot","");
			sv("TxtSal","");
			sv("TxtObs","");
			sv("Cli","");
			var Emp=gv("CboEmp");
			var Com=gv("CboCom");
			var Num=gv("TxtNum");
			var Ser=gv("TxtNum");
			if(jLen(Emp)==0){
				alert("Seleccione una empresa");
				jFocus("CboEmp");return;
			}
			if(jLen(Com)==0){
				alert("Seleccione un comprobante");
				jFocus("CboCom");return;
			}
			if(jLen(Ser)==0){
				alert("Ingrese una serie");
				jFocus("TxtSer");return;
			}
			if(jLen(Num)==0){
				alert("Ingrese el numero del comprobante");
				jFocus("TxtNum");return;
			}
			var R=fGetSaldo();
			//alert(R);
			//|OK|25000|5250.00|PROFORMA|8|MARCO SAYAS PALOMINOx|
			var D=R.split("|");
			if(D[1]=="OK"){
				//
				var A=D[2];
				var B=D[3];
				var REF_COM=D[4];
				var REF_KOD=D[5];
				sv("TxtTve",A);
				sv("TxtAcu",B);
				sv("Cli",D[6]);
				//			
				document.getElementById("iFrmVen").src="cobroz_ventas.php?REF_COM="+REF_COM+"&REF_KOD="+REF_KOD+"&XXX=1";
				document.getElementById(Sig).focus();
				return true;
			}else{
				if(D[1]=="MS"){
					alert(D[2]);
				}else{
					alert("Error de conexion");
				}
			}
		}else{
			document.getElementById("iFrmVen").src="about:blank";
			return false;
		}
	}
}
function fGetSaldo(){
	var Emp=gv("CboEmp");
	var Tie=gv("CboAlm");
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");
	ajax=CreateAJAX();
	var Z="";
	Z="aj_cob.php?C=GS_22&P1="+Com+"&P2="+Ser+"&P3="+Num+"&P4="+Emp+"&P5="+Tie;
	//alert(Z);
	ajax.open("GET",Z,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;	
	return StrHtml.trim();
}
//
function fGuardar(){
	if(!pre("Esta seguro que desea guardar?")){
		return;
	}
	var Kon=gv("TxtKon")
	var Fec=gv("TxtFec");
	var Emp=gv("CboEmp");
	var Tie=gv("CboAlm");
	var Com=gv("CboCom");
	var Ser=gv("TxtSer");
	var Num=gv("TxtNum");
	var TOT=jVal(gv("TxtTve"));
	var ACU=jVal(gv("TxtAcu"));
	var Tot=jVal(gv("TxtTot"));
	var Sal=jVal(gv("TxtSal"));
	var moda=gv("CboMod");
	var cue=gv("Cue");
	var ope_nro=gv("OpeNro");
	var ope_fec=gv("OpeFec");
	var tot_ndc=jVal(gv("TOT_NDC"));
	if(jL(Emp)==0){
		alert("Seleccione una empresa");
		jFocus("CboEmp");return;
	}
	if(jL(Tie)==0){
		alert("Seleccione un punto de emision");
		jFocus("CboAlm");return;
	}
	if(Fec.trim().length==0){
		alert("Ingrese la fecha, segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, verifique el formato");
		document.getElementById("TxtFec").focus();
		return;
	}	
	if(jLen(Ser)==0){
		alert("Ingrese el numero de serie");
		jFocus("TxtSer");return;
	}
	if(jLen(Num)==0){
		alert("Ingrese el numero de comprobante y presione enter");
		jFocus("TxtNum");return;
	}
	if(Tot<=0){
		alert("El Tot. Cob. debe ser mayor a cero");
		jFocus("TxtTot");return;
	}
	if(Sal<0){
		alert("El saldo no puede ser menor a cero");
		jFocus("TxtTot");return;
	}
	
	if(moda=="DEPOSITO" && tot_ndc>0){
		if(jL(cue)==0){
			return AF("Seleccione una cuenta","Cue");
		}
		if(jL(ope_nro)==0){
			return AF("Ingrese el numero de operacion","OpeNro");
		}
		if(jL(ope_fec)==0){
			return AF("Ingrese la fecha de la operacion","OpeFec");
		}
		if(!EsFecha(ope_fec)){
			return AF("Fecha no valida","OpeFec");
		}
	}
	//
	var lis_ven=gv("LIS_VENTAS");
	//
	if(document.getElementById("CmdG").value=="Guardar"){
		//
		var r=AX("COB_VALIDAR_22",Emp,Com,Ser,Num,TOT,ACU,Tot,Sal,lis_ven,Kon,Tie);
		var d=r.split("|");
		if(d[1]=="OK"){
			SM("G");
		}else{
			if(d[1]=="MS"){
				alert(d[2]);
			}else{
				alert("Errror de conexion");
			}
		}
	}else{
		alert("Funcion no habilitada");
		//SM("M");
	}
}

//**************************************************************************
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	//alert(r);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}